#
# spec file for package wavemon
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wavemon
BuildRequires:  ncurses-devel
Version:        0.7.6
Release:        6.11
Url:            https://github.com/uoaerg/wavemon
Summary:        An ncurses monitoring application for wireless network devices
License:        GPL-2.0+
Group:          Productivity/Networking/Diagnostic
Source:         https://github.com/uoaerg/wavemon/archive/v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
wavemon is a wireless device monitoring application that allows you to
watch signal and noise levels, packet statistics, device configuration
and network parameters of your wireless network hardware. It has
currently only been tested with the Lucent Orinoco series of cards,
although it *should* work (though with varying features) with all
devices supported by the wireless kernel extensions by Jean Tourrilhes.

%prep
%setup

%build
export CFLAGS="%{optflags} -D_REENTRANT -pthread"
%configure --docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
%makeinstall
mkdir -p ${RPM_BUILD_ROOT}%{_docdir}
mv ${RPM_BUILD_ROOT}%{_datadir}/%{name} ${RPM_BUILD_ROOT}%{_docdir}/

%files
%defattr(-,root,root,-)
%{_bindir}/wavemon
%{_datadir}/man/man1/wavemon.1.gz
%{_datadir}/man/man5/wavemonrc.5.gz
%{_docdir}/%{name}

%changelog
* Wed Apr  8 2015 p.drouand@gmail.com
- Update to version 0.7.6
  * complete redesign based on pthreads to fix terminal bug, as a result of better
    design the scan window now also can be suspended (details of fix are below),
  * add message for 'too much data' (E2BIG) error case,
  * use same formatting (3 digits) for 2/5 GHz,
  * support for changing sort order via keyboard shortcuts (see manpage, several
    ascending/descending sort orders are now available directly on the screen),
  * currently active sort order is now displayed on status line at the bottom,
  * stabilized by-channel sort to always use the same order for identical channels,
  * added 'sort by Essid' to selection of sort menus;
  * add percentage for easier reading of link quality,
  * deprecate use of locale settings for 'discard' information (fixes display);
  * add support for Page Up/Down, Home, and End buttons to ease navigation,
  * added more information to '-v' version information (ncurses/WE versions);
  * fix bug in ranking top/bottom 3 channels in scan window,
  * complete redesign of scan process based on pthreads to fix bug that became
  visible on ncurses >= 5.9.20130504 (slackware 14.1 and debian jessie), caused
  by child/parent both updating the same screen (bug had been hidden by the
  internal buffering of ncurses which was then removed),
- For changes from previous versions, please read the NEWS file
- Update download and project Urls
- Remove autoconf require; not needed anymore
- Remove wavemon-optflags.diff; cflags are passed by configure script
- Remove obsolete %%clean and AUTHORS section
- Enable parallel building with %%{?_smp_mflags}
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Mon Apr 12 2010 davejplater@gmail.com
- Update to version 0.6.10 Removed all patches except wavemon-optflags.diff.
-  *Bug Fixes:
  fixed installation bug which caused manpages to be installed in /man;
  fixed mode of installation to support sandbox-builds on Gentoo (Lovelace);
  improved (automated) linking process, now possible to pass LDFLAGS (Boeck);
  bail out when no statistics are available, instead of flagging an error.
- See /usr/share/doc/packages/wavemon/NEWS for all changes since version 0.4b.
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Fri Jan  2 2009 lmuelle@suse.de
- Handle dBm values in /proc/net/wireless as displayed when IW_QUAL_DBM is set
  by the driver; (bdo#426300); (bnc#463032).
* Wed Oct  8 2008 lmuelle@suse.de
- Fix ordered comparison of pointer with integer zero; (bnc#433389).
* Thu Apr  5 2007 ssommer@suse.de
- added ncurses-devel to BuildRequires
- fixed includes for newer kernel headers
* Sat Nov 11 2006 aj@suse.de
- Fix permissions on man pages.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 dmueller@suse.de
- don't build as root
* Sun Feb  6 2005 meissner@suse.de
- truly use rpm_opt_flags, fixed warnings and gcc4 compile problems.
* Thu Apr 17 2003 lmuelle@suse.de
- inital SuSE RPM
